Search found 5 matches

by francoisv2
Sun Jan 14, 2018 8:59 am
Forum: TechDraw
Topic: Missing dimensions when opening an existing project with views
Replies: 6
Views: 1622

Re: Missing dimensions when opening an existing project with views

This issue seems to go away when I have 'Keep pages up to date' checked in settings.
by francoisv2
Tue Jan 09, 2018 1:18 pm
Forum: TechDraw
Topic: Missing dimensions when opening an existing project with views
Replies: 6
Views: 1622

Re: Missing dimensions when opening an existing project with views

Returns:

Code: Select all

>>> App.ActiveDocument.Dimension.References2D
[(<DrawViewPart object>, ('Edge121',))]
I've attached the project file.
by francoisv2
Mon Jan 08, 2018 7:40 pm
Forum: TechDraw
Topic: Missing dimensions when opening an existing project with views
Replies: 6
Views: 1622

Missing dimensions when opening an existing project with views

I am able to create views for all my parts, and add dimensions without issues (this is a great addition to FreeCAD by the way). The views also export correctly to SVG files. However, when I save the FreeCAD project, and open it again, after recomputing the views, the dimensions are missing. The arro...
by francoisv2
Mon Mar 13, 2017 2:04 pm
Forum: Python scripting and macros
Topic: Document added in script does not show up in GUI
Replies: 3
Views: 844

Re: Document added in script does not show up in GUI

Thanks for pointing that out.

I've removed any assigning of active documents, but my document still does not show up in the GUI. However, in the console,

Code: Select all

>>> App.listDocuments()
{'Test': <Document object at 0x22fe2a0>}
so it is indeed there.
by francoisv2
Mon Mar 13, 2017 1:07 pm
Forum: Python scripting and macros
Topic: Document added in script does not show up in GUI
Replies: 3
Views: 844

Document added in script does not show up in GUI

I am trying to dynamically create a document, add some objects to it, and then launch the GUI. Example script below: from PySide import QtGui def main(*args, **kwargs): import sys from csg.visualization import FreeCADModelViewer import FreeCAD as App import FreeCADGui as Gui app = QtGui.QApplication...